cabal-install fails on WinXP

Alistair Bayley alistair at
Thu Apr 23 05:53:35 EDT 2009

2009/4/20 Duncan Coutts <duncan.coutts at>:
> It's using the IE proxy information from the registry. Check the IE
> "internet settings". If you think it's wrong that it's using it then
> file a ticket, I mean for example if it were using the proxy when the
> settings say that the proxy is disabled.

It's using the "internet settings" correctly. A question, though: this output:

Reading available packages...
Warning: The package list for '' is 16 days old.
Run 'cabal update' to get the latest list of available packages.
Resolving dependencies...
selecting binary-0.4.4 (hackage) and discarding binary-0.2, 0.3, 0.4, 0.4.1,
0.4.2, 0.4.3 and
... (blah blah blah(

suggests that it is connecting (succesfully) to hackage to determine
which versions of packages to download. Is that correct? If so, it
seems a bit odd that this connection works, while the later GETs fail
because they try to use the proxy.


More information about the cabal-devel mailing list